package com.abssqr.plat.biz.api.ast;

import com.abssqr.plat.biz.support.ServiceSupport;

import com.abssqr.plat.common.dal.mysql.auto.paging.PackAstPage;
import com.abssqr.plat.common.facade.param.ast.AstDownLoadParam;
import com.abssqr.plat.common.facade.service.ast.AstService;
import com.abssqr.plat.common.facade.validation.Valid;
import com.abssqr.plat.common.model.exception.AbssqrBizException;
import com.abssqr.plat.common.model.repo.ast.LoanRepository;
import com.abssqr.plat.core.service.ast.DownLoadAstManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.UnsupportedEncodingException;
import java.util.*;

@Component
public class AstServiceImpl extends ServiceSupport implements AstService {
    protected final Logger LOGGER = LoggerFactory.getLogger(getClass());

    private final int limit=2000;

    @Autowired
    LoanRepository loanRepository;

    @Autowired
    DownLoadAstManager downLoadAstManager;

    @Override
    public void downLoadAstFile(@Valid AstDownLoadParam astDownLoadParam, HttpServletResponse response) {

        PackAstPage packAstPage=new PackAstPage();
        packAstPage.setPackNo(astDownLoadParam.getPackCode());
        packAstPage.setCurrPageNo(1);
        packAstPage.setLimit(limit);
        List<String> loanFieldCodes = astDownLoadParam.getLoanFieldCodes();
        try {
            downLoadAstManager.writeData2Stream(packAstPage,loanFieldCodes,getOutputStream(astDownLoadParam.getPackCode(),response));
        } catch (Exception e) {
            LOGGER.error("写入数据失败错误信息[0]",e.getMessage());
            throw new AbssqrBizException("下载资产列表任务异常");
        }

    }


    private ServletOutputStream getOutputStream(String packNo,HttpServletResponse response) throws Exception{
        response.reset();
        response.setCharacterEncoding("UTF-8");
        response.setContentType("multipart/form-data");
        String outfileName = null;
        try {
            outfileName = new String((packNo+".xls").getBytes(), "ISO-8859-1");
        } catch (UnsupportedEncodingException e) {
            throw new RuntimeException(e.getMessage());
        }
        response.setHeader("Content-Disposition", "attachment;fileName=" + outfileName);

        return response.getOutputStream();

    }




}
