/**
 * abssqr.com Inc.
 * Copyright (c) 2017-${YEAR} All Rights Reserved.
 */
package com.abssqr.plat.biz.validate;


/**
 * 参数校验服务
 * 
 * @author zhenxuan.luo
 * @version $Id: ValidateService.java, v 0.1 2015年5月19日 下午3:24:17 zhenxuan.luo Exp $
 */
public interface ValidateService {
    
    /**
     * 校验被加了相应注解(例如:{@link VldString} {@link VldNotNull})的字段
     * <b>注意：<br/>
     * 如果子类和父类中包含有同名,同类型的字段,则会导致校验报错<br/>
     * </b>
     * 
     * @param targetObj 被校验的对象
     * @return 错误上下文
     */
    ValidatorError validate(Object targetObj);

    /**
     * 搜集所有错误日志，一般用于日志输出
     * 
     * @param targetObj 被校验对象
     * @param errors 校验的错误信息
     * @return 错误信息，没有一定的格式
     */
    String collectErrorsLog(Object targetObj, ValidatorError errors);
}
