/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.handler;

import javax.annotation.PostConstruct;

import com.abssqr.plat.biz.shared.dispatcher.commonTask.CommonTaskExecutor;
import com.abssqr.plat.common.facade.enums.CommonTaskTypeEnum;
import com.abssqr.plat.common.model.domain.task.CommonTask;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.handler: CommonTaskHandler.java, v 0.1 2020-03-04 13:56 bangis.wangdf Exp $
 */
public abstract class CommonTaskHandler {
    public final static Logger LOGGER = LoggerFactory.getLogger(CommonTaskHandler.class);
    @Autowired
    CommonTaskExecutor commonTaskExecutor;

    public abstract CommonTask execute(CommonTask commonTask);
    protected abstract CommonTaskTypeEnum commonTaskType();
    @PostConstruct
    private void doRegister(){
        commonTaskExecutor.registerHandler(commonTaskType(),this);
    }

}
