package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AstScreenRuleDOMapper;

/**
* The Table abs_ast_screen_rule.
* 筛选规则表
*/
@Repository
public class AstScreenRuleDAO{

    @Autowired
    private AstScreenRuleDOMapper astScreenRuleDOMapper;

    /**
     * desc:插入表:abs_ast_screen_rule.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(AstScreenRuleDO entity){
        return astScreenRuleDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_ast_screen_rule.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<AstScreenRuleDO> list){
        astScreenRuleDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_ast_screen_rule.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return astScreenRuleDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_ast_screen_rule.<br/>
     * @param id id
     * @return AstScreenRuleDO
     */
    
    public AstScreenRuleDO getById(Long id){
        return astScreenRuleDOMapper.getById(id);
    }
    /**
     * desc:根据普通索引AbsAstScreenRuleRelNo获取数据:abs_ast_screen_rule.<br/>
     * @param relNo relNo
     * @return List<AstScreenRuleDO>
     */
    
    public List<AstScreenRuleDO> queryByAbsAstScreenRuleRelNo(String relNo){
        return astScreenRuleDOMapper.queryByAbsAstScreenRuleRelNo(relNo);
    }
}
