package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanPackRelDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanPackRelSummary;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanPackRelDOMapper;

/**
* The Table abs_loan_pack_rel.
* ABS_LOAN_PACK_REL
*/
@Repository
public class LoanPackRelDAO{

    @Autowired
    private LoanPackRelDOMapper loanPackRelDOMapper;

    /**
     * desc:插入表:abs_loan_pack_rel.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(LoanPackRelDO entity){
        return loanPackRelDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_loan_pack_rel.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<LoanPackRelDO> list){
        loanPackRelDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:更新表:abs_loan_pack_rel.<br/>
     * @param packNo packNo
     * @param oldPackNo oldPackNo
     * @return int
     */
    
    public int updatePackRel(String packNo,String oldPackNo){
        return loanPackRelDOMapper.updatePackRel(packNo, oldPackNo);
    }
    /**
     * desc:根据主键删除数据:abs_loan_pack_rel.<br/>
     * @param astNo astNo
     * @param packNo packNo
     * @param status status
     * @return int
     */
    
    public int deleteByAbsLoanPackRelPk(String astNo,String packNo,String status){
        return loanPackRelDOMapper.deleteByAbsLoanPackRelPk(astNo, packNo, status);
    }
    /**
     * desc:根据主键获取数据:abs_loan_pack_rel.<br/>
     * @param astNo astNo
     * @param packNo packNo
     * @param status status
     * @return LoanPackRelDO
     */
    
    public LoanPackRelDO getByAbsLoanPackRelPk(String astNo,String packNo,String status){
        return loanPackRelDOMapper.getByAbsLoanPackRelPk(astNo, packNo, status);
    }
    /**
     * desc:根据普通索引LoanPackRelPack获取数据:abs_loan_pack_rel.<br/>
     * @param packNo packNo
     * @return List<LoanPackRelDO>
     */
    
    public List<LoanPackRelDO> queryByLoanPackRelPack(String packNo){
        return loanPackRelDOMapper.queryByLoanPackRelPack(packNo);
    }
    /**
     * desc:根据普通索引LoanPackRelPack获取数据:abs_loan_pack_rel.<br/>
     * @param packNo packNo
     * @return LoanPackRelSummary
     */
    
    public LoanPackRelSummary sumAstByPack(String packNo){
        return loanPackRelDOMapper.sumAstByPack(packNo);
    }
    /**
     * desc:筛选.<br/>
     * @param packNo packNo
     * @param astPoolNo astPoolNo
     * @param astType astType
     * @param screenRuleList screenRuleList
     * @return int
     */
    
    public int updateForScreen(String packNo,String astPoolNo,AstTypeEnum astType,List<AstScreenRule> screenRuleList){
    if(screenRuleList!=null && screenRuleList.size()>201){throw new RuntimeException("screenRuleList 超出201长度限制");}
        return loanPackRelDOMapper.updateForScreen(packNo, astPoolNo, astType, screenRuleList);
    }
}
