package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalLogDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanCapitalLogListPage;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanCapitalLogDOMapper;

/**
* The Table abs_plan_capital_log.
* 计划资金交易流水
*/
@Repository
public class PlanCapitalLogDAO{

    @Autowired
    private PlanCapitalLogDOMapper planCapitalLogDOMapper;

    /**
     * desc:插入表:abs_plan_capital_log.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanCapitalLogDO entity){
        return planCapitalLogDOMapper.insert(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanCapitalLog获取数据:abs_plan_capital_log.<br/>
     * @param planCapitalLogList planCapitalLogList
     * @return PlanCapitalLogListPage
     */
    
    public PlanCapitalLogListPage getForPage(PlanCapitalLogListPage planCapitalLogList){
        int total = planCapitalLogDOMapper.getForPageCount(planCapitalLogList);
        if(total>0){
            planCapitalLogList.setDatas(planCapitalLogDOMapper.getForPageResult(planCapitalLogList));
        }else{
            planCapitalLogList.setDatas(new ArrayList());
        }
        planCapitalLogList.setTotal(total);
        return planCapitalLogList;
    }
    /**
     * desc:根据唯一约束AbsPlanCapitalLog获取数据:abs_plan_capital_log.<br/>
     * @param seqNo seqNo
     * @param planNo planNo
     * @return PlanCapitalLogDO
     */
    
    public PlanCapitalLogDO getBySeqNo(String seqNo,String planNo){
        return planCapitalLogDOMapper.getBySeqNo(seqNo, planNo);
    }
}
