package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanClearingOrderDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanClearingOrderItem;
import java.lang.Long;
import com.general.system.common.model.Money;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanClearingOrderDOMapper;

/**
* The Table abs_plan_clearing_order.
* ABS_PLAN_CLEARING_ORDER
*/
@Repository
public class PlanClearingOrderDAO{

    @Autowired
    private PlanClearingOrderDOMapper planClearingOrderDOMapper;

    /**
     * desc:插入表:abs_plan_clearing_order.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanClearingOrderDO entity){
        return planClearingOrderDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_clearing_order.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanClearingOrderDO> list){
        planClearingOrderDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param memo memo
     * @param transStatus transStatus
     * @param transOrderNo transOrderNo
     * @param oldTransStatus oldTransStatus
     * @param list list
     * @return int
     */
    
    public int updateBySeqNoList(String memo,String transStatus,String transOrderNo,String oldTransStatus,List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return planClearingOrderDOMapper.updateBySeqNoList(memo, transStatus, transOrderNo, oldTransStatus, list);
    }
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param memo memo
     * @param seqNo seqNo
     * @param transStatus transStatus
     * @param transOrderNo transOrderNo
     * @param oldTransStatus oldTransStatus
     * @return int
     */
    
    public int updateBySeqNo(String memo,String seqNo,String transStatus,String transOrderNo,String oldTransStatus){
        return planClearingOrderDOMapper.updateBySeqNo(memo, seqNo, transStatus, transOrderNo, oldTransStatus);
    }
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param seqNo seqNo
     * @return PlanClearingOrderDO
     */
    
    public PlanClearingOrderDO lockBySeqNo(String seqNo){
        return planClearingOrderDOMapper.lockBySeqNo(seqNo);
    }
    /**
     * desc:根据普通索引AbsPlanClearingLogCopy1获取数据:abs_plan_clearing_order.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transStatus transStatus
     * @return List<PlanClearingOrderItem>
     */
    
    public List<PlanClearingOrderItem> queryByClearingOrderStat(Date accountDate,String planNo,String transStatus){
        return planClearingOrderDOMapper.queryByClearingOrderStat(accountDate, planNo, transStatus);
    }
    /**
     * desc:查看结算单是否都处理完.<br/>
     * @param planNo planNo
     * @return Long
     */
    
    public Long cntInitClearingOrderByPlanNo(String planNo){
        return planClearingOrderDOMapper.cntInitClearingOrderByPlanNo(planNo);
    }
    /**
     * desc:查看结算单是否都处理完.<br/>
     * @param transCode transCode
     * @return Long
     */
    
    public Long cntInitClearingOrder(String transCode){
        return planClearingOrderDOMapper.cntInitClearingOrder(transCode);
    }
    /**
     * desc:获取结算总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return Money
     */
    
    public Money getClrOrderAmtByPlanNoAndActDateAndTransCode(Date accountDate,String planNo,String transCode){
        return planClearingOrderDOMapper.getClrOrderAmtByPlanNoAndActDateAndTransCode(accountDate, planNo, transCode);
    }
}
