package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportEntityDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanReportEntityDOMapper;

/**
* The Table abs_plan_report_entity.
* ABS_PLAN_REPORT_ENTITY
*/
@Repository
public class PlanReportEntityDAO{

    @Autowired
    private PlanReportEntityDOMapper planReportEntityDOMapper;

    /**
     * desc:批量插入表:abs_plan_report_entity.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanReportEntityDO> list){
        planReportEntityDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    
    public List<PlanAstReportStat> statBal(Date accountDate,String planNo){
        return planReportEntityDOMapper.statBal(accountDate, planNo);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    
    public List<PlanAstReportStat> statAccrued(Date accountDate,String planNo){
        return planReportEntityDOMapper.statAccrued(accountDate, planNo);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    
    public List<PlanAstReportStat> statAmt(Date accountDate,String planNo){
        return planReportEntityDOMapper.statAmt(accountDate, planNo);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return int
     */
    
    public int delete(Date accountDate,String planNo){
        return planReportEntityDOMapper.delete(accountDate, planNo);
    }
}
