package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 资产包
 */
public class AstPackDO{

    /**
     * id .
     */
    private Long id;
    /**
     * packNo 资产包编号.
     */
    private String packNo;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    private String status;
    /**
     * astType 准入资产代码.
     */
    private String astType;
    /**
     * packName 资产包名称.
     */
    private String packName;
    /**
     * packType 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     */
    private String packType;
    /**
     * astPoolNo 资产池编号.
     */
    private String astPoolNo;
    /**
     * packDate 封包日.
     */
    private Date packDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;
    /**
     * packSubmitDate 封包提交日.
     */
    private Date packSubmitDate;
    /**
     * avalAmt 规模.
     */
    private Money avalAmt;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set packNo 资产包编号.
     */
    public void setPackNo(String packNo){
        this.packNo = packNo;
    }

    /**
     * Get packNo 资产包编号.
     *
     * @return the string
     */
    public String getPackNo(){
        return packNo;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set astType 准入资产代码.
     */
    public void setAstType(String astType){
        this.astType = astType;
    }

    /**
     * Get astType 准入资产代码.
     *
     * @return the string
     */
    public String getAstType(){
        return astType;
    }

    /**
     * Set packName 资产包名称.
     */
    public void setPackName(String packName){
        this.packName = packName;
    }

    /**
     * Get packName 资产包名称.
     *
     * @return the string
     */
    public String getPackName(){
        return packName;
    }

    /**
     * Set packType 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     */
    public void setPackType(String packType){
        this.packType = packType;
    }

    /**
     * Get packType 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     *
     * @return the string
     */
    public String getPackType(){
        return packType;
    }

    /**
     * Set astPoolNo 资产池编号.
     */
    public void setAstPoolNo(String astPoolNo){
        this.astPoolNo = astPoolNo;
    }

    /**
     * Get astPoolNo 资产池编号.
     *
     * @return the string
     */
    public String getAstPoolNo(){
        return astPoolNo;
    }

    /**
     * Set packDate 封包日.
     */
    public void setPackDate(Date packDate){
        this.packDate = packDate;
    }

    /**
     * Get packDate 封包日.
     *
     * @return the string
     */
    public Date getPackDate(){
        return packDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set packSubmitDate 封包提交日.
     */
    public void setPackSubmitDate(Date packSubmitDate){
        this.packSubmitDate = packSubmitDate;
    }

    /**
     * Get packSubmitDate 封包提交日.
     *
     * @return the string
     */
    public Date getPackSubmitDate(){
        return packSubmitDate;
    }

    /**
     * Set avalAmt 规模.
     */
    public void setAvalAmt(Money avalAmt){
        this.avalAmt = avalAmt;
    }

    /**
     * Get avalAmt 规模.
     *
     * @return the string
     */
    public Money getAvalAmt(){
        if(avalAmt==null){
            return new Money();
        }
        return avalAmt;
    }
}
