package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AcctDateDO;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_acct_date.
 * ABS_ACCT_DATE
 */
public interface AcctDateDOMapper{

    /**
     * desc:插入表:abs_acct_date.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AcctDateDO entity);
    /**
     * desc:更新表:abs_acct_date.<br/>
     * @param acctDate acctDate
     * @param orgCode orgCode
     * @return int
     */
    int update(@Param("acctDate")Date acctDate,@Param("orgCode")String orgCode);
    /**
     * desc:根据主键获取数据:abs_acct_date.<br/>
     * @param orgCode orgCode
     * @return AcctDateDO
     */
    AcctDateDO getDate(@Param("orgCode")String orgCode);
    /**
     * desc:查询所有机构的会计日.<br/>
     * @return List<AcctDateDO>
     */
    List<AcctDateDO> queryAcctDate();
    /**
     * desc:根据机构编码锁会计日.<br/>
     * @param orgCode orgCode
     * @return AcctDateDO
     */
    AcctDateDO getForLock(@Param("orgCode")String orgCode);
}
