package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import java.util.List;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolPage;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_pool.
 * ABS_AST_POOL
 */
public interface AstPoolDOMapper{

    /**
     * desc:插入表:abs_ast_pool.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstPoolDO entity);
    /**
     * desc:批量插入表:abs_ast_pool.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<AstPoolDO> list);
    /**
     * desc:查询是否有重复资产池名称和资产池编码的资产池.<br/>
     * @param prodNo prodNo
     * @param astPoolName astPoolName
     * @return Long
     */
    Long getDupliCnt(@Param("prodNo")String prodNo,@Param("astPoolName")String astPoolName);
    /**
     * desc:分页查找资产池.<br/>
     * @param astPool astPool
     * @return int
     */
    int getPageCount(AstPoolPage astPool);
    /**
     * desc:分页查找资产池.<br/>
     * @param astPool astPool
     * @return List<AstPoolDO>
     */
    List<AstPoolDO> getPageResult(AstPoolPage astPool);
    /**
     * desc:根据资产池编号查找资产池.<br/>
     * @param astPoolNo astPoolNo
     * @return AstPoolDO
     */
    AstPoolDO getByNo(@Param("astPoolNo")String astPoolNo);
    /**
     * desc:根据主键删除数据:abs_ast_pool.<br/>
     * @param id id
     * @return int
     */
    int deleteById(Long id);
    /**
     * desc:根据主键获取数据:abs_ast_pool.<br/>
     * @param id id
     * @return AstPoolDO
     */
    AstPoolDO getById(Long id);
    /**
     * desc:根据主键获取数据:abs_ast_pool.<br/>
     * @param astPoolNo astPoolNo
     * @return AstPoolDO
     */
    AstPoolDO getForLock(@Param("astPoolNo")String astPoolNo);
}
