package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_screen_rule.
 * 筛选规则表
 */
public interface AstScreenRuleDOMapper{

    /**
     * desc:插入表:abs_ast_screen_rule.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstScreenRuleDO entity);
    /**
     * desc:批量插入表:abs_ast_screen_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<AstScreenRuleDO> list);
    /**
     * desc:根据主键删除数据:abs_ast_screen_rule.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_ast_screen_rule.<br/>
     * @param id id
     * @return AstScreenRuleDO
     */
    AstScreenRuleDO getById(@Param("id")Long id);
    /**
     * desc:根据普通索引AbsAstScreenRuleRelNo获取数据:abs_ast_screen_rule.<br/>
     * @param relNo relNo
     * @return List<AstScreenRuleDO>
     */
    List<AstScreenRuleDO> queryByAbsAstScreenRuleRelNo(@Param("relNo")String relNo);
}
