package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstProfitLogDO;
import java.util.List;
import java.util.Date;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanAstProfitStat;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_ast_profit_log.
 * ABS_LOAN_AST_PROFIT_LOG
 */
public interface LoanAstProfitLogDOMapper{

    /**
     * desc:批量插入表:abs_loan_ast_profit_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<LoanAstProfitLogDO> list);
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    Long calcOrgDistPftAmt(@Param("accountDate")Date accountDate,@Param("orgCode")String orgCode);
    /**
     * desc:计算还款服务费应计与实还.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @param splitOrgCode splitOrgCode
     * @return LoanAstProfitStat
     */
    LoanAstProfitStat repayOrgDistPftAmt(@Param("accountDate")Date accountDate,@Param("orgCode")String orgCode,@Param("splitOrgCode")String splitOrgCode);
}
