package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanLogDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_log.
 * 资产变更流水
 */
public interface LoanLogDOMapper{

    /**
     * desc:批量插入表:abs_loan_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<LoanLogDO> list);
    /**
     * desc:测试专供-主要为查询bizNo.<br/>
     * @param outAstNo outAstNo
     * @param eventCode eventCode
     * @return List<LoanLogDO>
     */
    List<LoanLogDO> getByOutAstNoAndEventCode(@Param("outAstNo")String outAstNo,@Param("eventCode")String eventCode);
    /**
     * desc:根据资产编号和事件码获取最新的一条.<br/>
     * @param astNo astNo
     * @param eventCode eventCode
     * @return LoanLogDO
     */
    LoanLogDO getLastByAstNoAndEventCode(@Param("astNo")String astNo,@Param("eventCode")String eventCode);
}
