package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrganizationEntityDO;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_organization_entity.
 * 机构参与实体
 */
public interface OrganizationEntityDOMapper{

    /**
     * desc:插入表:abs_organization_entity.<br/>
     * @param entity entity
     * @return int
     */
    int insert(OrganizationEntityDO entity);
    /**
     * desc:更新表:abs_organization_entity.<br/>
     * @param entity entity
     * @return int
     */
    int updateByEntityCode(OrganizationEntityDO entity);
    /**
     * desc:根据唯一约束获取数据:abs_organization_entity.<br/>
     * @param entityCode entityCode
     * @return OrganizationEntityDO
     */
    OrganizationEntityDO getByEntityCode(@Param("entityCode")String entityCode);
    /**
     * desc:根据唯一约束获取数据:abs_organization_entity.<br/>
     * @param list list
     * @return List<OrganizationEntityDO>
     */
    List<OrganizationEntityDO> getByEntityCodes(List<String> list);
    /**
     * desc:根据服务机构获取放款机构.<br/>
     * @param managerOrgCode managerOrgCode
     * @return List<OrganizationEntityDO>
     */
    List<OrganizationEntityDO> getByManagerOrgCode(@Param("managerOrgCode")String managerOrgCode);
    /**
     * desc:根据机构编号删除对应机构.<br/>
     * @param entityCode entityCode
     * @return int
     */
    int deleteByEntityCode(@Param("entityCode")String entityCode);
}
