package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstPriceRuleDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_ast_price_rule.
 * 资产定价规则
 */
public interface PlanAstPriceRuleDOMapper{

    /**
     * desc:插入表:abs_plan_ast_price_rule.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAstPriceRuleDO entity);
    /**
     * desc:批量插入表:abs_plan_ast_price_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAstPriceRuleDO> list);
    /**
     * desc:根据主键删除数据:abs_plan_ast_price_rule.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_plan_ast_price_rule.<br/>
     * @param id id
     * @return PlanAstPriceRuleDO
     */
    PlanAstPriceRuleDO getById(@Param("id")Long id);
    /**
     * desc:根据普通索引PriceRulePlanNo获取数据:abs_plan_ast_price_rule.<br/>
     * @param planNo planNo
     * @return List<PlanAstPriceRuleDO>
     */
    List<PlanAstPriceRuleDO> queryByPriceRulePlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号删除数据:deleteByPlanNo.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
