package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalLogDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanCapitalLogListPage;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_capital_log.
 * 计划资金交易流水
 */
public interface PlanCapitalLogDOMapper{

    /**
     * desc:插入表:abs_plan_capital_log.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanCapitalLogDO entity);
    /**
     * desc:根据唯一约束AbsPlanCapitalLog获取数据:abs_plan_capital_log.<br/>
     * @param planCapitalLogList planCapitalLogList
     * @return int
     */
    int getForPageCount(PlanCapitalLogListPage planCapitalLogList);
    /**
     * desc:根据唯一约束AbsPlanCapitalLog获取数据:abs_plan_capital_log.<br/>
     * @param planCapitalLogList planCapitalLogList
     * @return List<PlanCapitalLogDO>
     */
    List<PlanCapitalLogDO> getForPageResult(PlanCapitalLogListPage planCapitalLogList);
    /**
     * desc:根据唯一约束AbsPlanCapitalLog获取数据:abs_plan_capital_log.<br/>
     * @param seqNo seqNo
     * @param planNo planNo
     * @return PlanCapitalLogDO
     */
    PlanCapitalLogDO getBySeqNo(@Param("seqNo")String seqNo,@Param("planNo")String planNo);
}
