package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.TrCtrTaskDO;
import java.util.List;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_tr_ctr_task.
 * 转让控制任务
 */
public interface TrCtrTaskDOMapper{

    /**
     * desc:插入表:abs_tr_ctr_task.<br/>
     * @param entity entity
     * @return int
     */
    int insert(TrCtrTaskDO entity);
    /**
     * desc:批量插入表:abs_tr_ctr_task.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<TrCtrTaskDO> list);
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @return TrCtrTaskDO
     */
    TrCtrTaskDO getByStatus(@Param("tfrDate")Date tfrDate,@Param("status")String status,@Param("packType")String packType);
    /**
     * desc:根据状态日期类型查询控制任务.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @return List<TrCtrTaskDO>
     */
    List<TrCtrTaskDO> queryInitCtrTaskList(@Param("tfrDate")Date tfrDate,@Param("status")String status,@Param("packType")String packType);
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @param managerOrgCode managerOrgCode
     * @return List<TrCtrTaskDO>
     */
    List<TrCtrTaskDO> getByManagerOrg(@Param("tfrDate")Date tfrDate,@Param("status")String status,@Param("packType")String packType,@Param("managerOrgCode")String managerOrgCode);
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param id id
     * @return TrCtrTaskDO
     */
    TrCtrTaskDO lockById(@Param("id")Long id);
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param newStatus newStatus
     * @return int
     */
    int updateStatus(@Param("id")Long id,@Param("newStatus")String newStatus);
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param execTms execTms
     * @return int
     */
    int updateExecTms(@Param("id")Long id,@Param("execTms")Long execTms);
}
