package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

public enum AllocMethodEnum implements IEnum{

    IBC("IBC","先息后本"),
    PT("PT","过手型");
    private static final Map<String, AllocMethodEnum> codeMap = new HashMap<String, AllocMethodEnum>();

    static {
        for (AllocMethodEnum item : AllocMethodEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    AllocMethodEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AllocMethodEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}
