/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *筛选规则关联类型
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: AstScreenRelTypeEnum.java, v 0.1 2020-04-18 6:30 PM xiachenxiang Exp $ 
 */
public enum AstScreenRelTypeEnum implements IEnum {
    PACK("PACK","资产");

    private static final Map<String, AstScreenRelTypeEnum> codeMap = new HashMap<String, AstScreenRelTypeEnum>();

    static {
        for (AstScreenRelTypeEnum item : AstScreenRelTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstScreenRelTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstScreenRelTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}