/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *筛选规则类型
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: AstScreenRuleTypeEnum.java, v 0.1 2020-04-18 6:30 PM xiachenxiang Exp $
 */
public enum AstScreenRuleTypeEnum implements IEnum {

    // 汽车贷款
    QCDK_RISK_TYPE("QCDK_RISK_TYPE","五级分类"),
    QCDK_DISB_DATE("QCDK_DISB_DATE","贷款发放日"),
    QCDK_END_DATE("QCDK_END_DATE","贷款到期日"),
    QCDK_LOAN_RATE("QCDK_LOAN_RATE","贷款执行利率"),
    QCDK_REPAY_FREQ("QCDK_REPAY_FREQ","还款频率"),
    QCDK_RATE_TYPE("QCDK_RATE_TYPE","利率类型"),
    QCDK_CONTRACT_AMT("QCDK_CONTRACT_AMT","合同金额"),
    QCDK_FIRST_PAY_RATE("QCDK_FIRST_PAY_RATE","贷款首付比例"),
    QCDK_DUE_PACK_LOAN_PRIN_BAL("QCDK_DUE_PACK_LOAN_PRIN_BAL","截至封包日贷款本金余额"),
    QCDK_REPAY_METHOD("QCDK_REPAY_METHOD","还款方式"),
    QCDK_WHETHER_VIOLATE("QCDK_WHETHER_VIOLATE","曾经是否违约"),
    QCDK_MAX_OVD_TERM("QCDK_MAX_OVD_TERM","历史最大逾期期数"),
    QCDK_OVD_TIMES("QCDK_OVD_TIMES","累计逾期次数"),
    QCDK_CAR_PRICE("QCDK_CAR_PRICE","车辆购买价格(元）"),
    QCDK_CAR_LOCATION("QCDK_CAR_LOCATION","车辆所在地区"),
    QCDK_MORTGAGE_RATE("QCDK_MORTGAGE_RATE","现行抵押率"),
    QCDK_OVD_DAYS("QCDK_OVD_DAYS","当前逾期天数"),
    QCDK_MAX_OVD_DAYS("QCDK_MAX_OVD_DAYS","历史最长逾期天数"),
    QCDK_SUM_OVD_DAYS("QCDK_SUM_OVD_DAYS","历史累计逾期天数"),
    QCDK_SUM_OVD_TIMES("QCDK_SUM_OVD_TIMES","历史累计逾期次数"),
    // 融资租赁
    RZZL_RENT_TYPE("RZZL_RENT_TYPE","租赁方式"),
    RZZL_PRIN_TOTAL("RZZL_PRIN_TOTAL","贷款本金"),
    RZZL_PRIN_BAL("RZZL_PRIN_BAL","未偿本金"),
    RZZL_START_DATE("RZZL_START_DATE","起租日"),
    RZZL_END_DATE("RZZL_END_DATE","到期日期"),
    RZZL_RATE_TYPE("RZZL_RATE_TYPE","利率类型"),
    RZZL_RATE_OF_YEAR("RZZL_RATE_OF_YEAR","年利率"),
    RZZL_CONTRACT_TERM("RZZL_CONTRACT_TERM","合同期限"),
    RZZL_REMAINING_TERM("RZZL_REMAINING_TERM","剩余期限"),
    RZZL_REPAY_FREQ("RZZL_REPAY_FREQ","还款频率"),
    RZZL_RISK_TYPE("RZZL_RISK_TYPE","五级分类"),
    RZZL_REPAY_METHOD("RZZL_REPAY_METHOD","还款方式"),
    RZZL_ADVANCE_RETURN_CAR("RZZL_ADVANCE_RETURN_CAR","是否可提前退租"),
    RZZL_FIRST_PAY_RATE("RZZL_FIRST_PAY_RATE","首付比例"),
    RZZL_OVD_DAYS("RZZL_OVD_DAYS","当前逾期天数"),
    RZZL_MAX_OVD_DAYS("RZZL_MAX_OVD_DAYS","历史最长逾期天数"),
    RZZL_SUM_OVD_DAYS("RZZL_SUM_OVD_DAYS","历史累计逾期天数"),
    RZZL_SUM_OVD_TIMES("RZZL_SUM_OVD_TIMES","历史累计逾期次数"),
    // 对公账款
    DGDK_TRADE_TYPE("DGDK_TRADE_TYPE","贸易类型"),
    DGDK_INVOICE_AMT("DGDK_INVOICE_AMT","发票金额"),
    DGDK_PRIN_BAL("DGDK_PRIN_BAL","未偿本金"),
    DGDK_START_DATE("DGDK_START_DATE","起息日"),
    DGDK_END_DATE("DGDK_END_DATE","到期日"),
    DGDK_RATE_TYPE("DGDK_RATE_TYPE","利率类型"),
    DGDK_RATE_OF_YEAR("DGDK_RATE_OF_YEAR","年利率"),
    DGDK_CONTRACT_TERM("DGDK_CONTRACT_TERM","合同期限"),
    DGDK_REMAINING_TERM("DGDK_REMAINING_TERM","剩余期限"),
    DGDK_REPAY_FREQ("DGDK_REPAY_FREQ","还款频率"),
    DGDK_RISK_TYPE("DGDK_RISK_TYPE","五级分类"),
    DGDK_REPAY_METHOD("DGDK_REPAY_METHOD","还款方式"),
    DGDK_CONTRACT_AMT("DGDK_CONTRACT_AMT","合同金额"),
    DGDK_CONTRACT_BAL("DGDK_CONTRACT_BAL","合同余额"),
    DGDK_REPAY_DATE("DGDK_REPAY_DATE","还款日期"),
    DGDK_GUARANTEE_METHOD("DGDK_GUARANTEE_METHOD","担保方式"),
    DGDK_OVD_DAYS("DGDK_OVD_DAYS","当前逾期天数"),
    DGDK_MAX_OVD_DAYS("DGDK_MAX_OVD_DAYS","历史最长逾期天数"),
    DGDK_SUM_OVD_DAYS("DGDK_SUM_OVD_DAYS","历史累计逾期天数"),
    DGDK_SUM_OVD_TIMES("DGDK_SUM_OVD_TIMES","历史累计逾期次数"),
    ;

    private static final Map<String, AstScreenRuleTypeEnum> codeMap = new HashMap<String, AstScreenRuleTypeEnum>();

    static {
        for (AstScreenRuleTypeEnum item : AstScreenRuleTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstScreenRuleTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstScreenRuleTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}