/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 *
 *@authoryangcheng
 *@versioncom.abssqr.plat.client.enums:CountCalcTypeEnum.java,v0.12019-06-0314:08 yangchengExp$
 */
public enum CalcIntrTypeEnum implements IEnum {
    ACT_360("ACT_360", "ACT/360", new BigDecimal("360")),
    ACT_365("ACT_365", "ACT/365", new BigDecimal("365")),;
    
    private static final Map<String, CalcIntrTypeEnum> codeMap = new HashMap<String, CalcIntrTypeEnum>();
    
    static {
        for (CalcIntrTypeEnum item : CalcIntrTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    private BigDecimal annualDays;
    
    private CalcIntrTypeEnum(String code, String desc, BigDecimal annualDays) {
        this.code = code;
        this.desc = desc;
        this.annualDays = annualDays;
    }
    
    public static CalcIntrTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
    
    public BigDecimal getAnnualDays() {
        return annualDays;
    }
}
