/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 计费时间
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: FundTypeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum FeeTimeTypeEnum implements IEnum {
    TERM("TERM", "按期计费"),
    PFCD("PFCD", "首次结算日"),
    PETD("PETD", "项目起息日"),
    PEDD("PEDD", "项目到期日"),;

    private static final Map<String, FeeTimeTypeEnum> codeMap = new HashMap<String, FeeTimeTypeEnum>();

    static {
        for (FeeTimeTypeEnum item : FeeTimeTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    FeeTimeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static FeeTimeTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}