package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

public enum  LoanFieldEnum implements IEnum {

    AST_NO("astNO","资金编号",0),
    PAID_INTR_AMT("paidIntrAmt","利息余额",1),
    PAID_PRIN_AMT("paidPrinAmt","本金余额",2),
    INTR_PENAL_BAL("intrPenalAmt","由逾期利息产生的罚息",3),
    PRIN_PENAL_BAL("prinPenalAmt","由逾期本金产生的罚息",4),
    PAID_FEE_PENAL_AMT("paidFeePenalAmt","由分期费用逾期产生的滞纳金余额",5),
    PAID_OTHER_FEE_AMT("paidOtherFeeAmt","其他费用余额",6),
    OTHER_FEE_PENAL_BAL("otherFeePenalBal","其他费用滞纳金余额",7),
    PAID_INTR_PENAL_AMT("paidIntrPenalAmt","由逾期利息产生的罚息",8),
    PAID_PRIN_PENAL_AMT("paidPrinPenalAmt","由逾期本金产生的罚息",9),
    PAID_OTHER_FEE_PENAL_AMT("paidOtherFeePenalAmt","其他费用滞纳金余额",10),
    TRANS_CNT("transCnt","交易次数",11),
    CAPITAL_NO("capitalNo","资金编号",12);


    private static final Map<String, LoanFieldEnum> codeMap    = new HashMap<>();

    static {
        for (LoanFieldEnum item : LoanFieldEnum.values()) {
            codeMap.put(item.getCode().toString(), item);
        }
    }
    private String code;
    private String desc;
    private int sort;
    private LoanFieldEnum(String code, String desc,int sort) {
        this.code = code;
        this.desc = desc;
        this.sort=sort;
    }

    public static LoanFieldEnum getByCode(String code) {
        return codeMap.get(code);
    }


    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    public int getSort() {
        return sort;
    }
}
