/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产状态枚举
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: AstStatusEnum.java, v 0.1 2017-12-05 下午16:04 zhenxuan.luo Exp $
 */
public enum OwnStatusEnum implements IEnum {
    
    INIT("init", "有效"),
    
    TRANS_OUT("out", "转出"),
    
    PARTIAL_TRANS_OUT("pOut", "部分转出"),
    ;
    
    private static final Map<String, OwnStatusEnum> codeMap = new HashMap<String, OwnStatusEnum>();
    
    static {
        for (OwnStatusEnum item : OwnStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private OwnStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static OwnStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}