/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 分配计划状态
 *
 * @author zhenxuan.luo
 * @version $Id: AssetStatusEnum.java, v 0.1 2017-06-07 下午18:38 zhenxuan.luo Exp $ 
 */
public enum PlanAllocStatusEnum implements IEnum {
    UNASSIGNE("UNASSIGNE", "未分配"),
    
    PENDING("PENDING", "分配中"),
    
    ASSIGNED("ASSIGNED", "已分配"),


    ;

    private static final Map<String, PlanAllocStatusEnum> codeMap = new HashMap<String, PlanAllocStatusEnum>();

    static {
        for (PlanAllocStatusEnum item : PlanAllocStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private PlanAllocStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static PlanAllocStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}