/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 贷款还款方式
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: RepayMethodEnum.java, v 0.1 2017-12-05 下午20:28 zhenxuan.luo Exp $
 */
public enum RepayMethodEnum implements IEnum {
    
    RM01("RM01", "等额本金"),
    
    RM02("RM02", "等额本息"),
    
    RM03("RM03", "按月付息到期还本"),
    
    RM04("RM04", "一次性还本付息"),
    
    RM05("RM05", "按月等额"),

    RM06("RM06", "智慧还款"),

    ;

    private static final Map<String, RepayMethodEnum> codeMap = new HashMap<String, RepayMethodEnum>();
    
    static {
        for (RepayMethodEnum item : RepayMethodEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private RepayMethodEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static RepayMethodEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}