/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 报表类型枚举类
 *
 * @author zhenhua.guo
 * @version $Id: ReportAstStatTypeEnum.java, v 0.1 2017-06-07 下午18:38 zhenhua.guo Exp $
 */
public enum ReportAstStatTypeEnum implements IEnum {
    
    ALL("ALL", "不分类"),
    
    STATUS("STT", "状态"),
    
    OVD_DAYS("OVD", "逾期天数"),
    
    AST_CLZ("CLZ", "五级分类"),
    
    WTF_STATUS("WTF", "核销状态"),
    
    OVD_WTF_STATUS("OVD_WTF", "逾期91天以上未核销本金"),

    DUE("DUE", "到期"),

    ;

    private static final Map<String, ReportAstStatTypeEnum> codeMap = new HashMap<String, ReportAstStatTypeEnum>();

    static {
        for (ReportAstStatTypeEnum item : ReportAstStatTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    ReportAstStatTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static ReportAstStatTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}