/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author yangcheng
 * @version TimeStampTypeEnum.java, v0.12019-06-2819:45 yangchengExp$
 */
public enum TimeStampTypeEnum implements IEnum {
    JAN("1","M01","01","01"),
    FEB("2","M02","02","02"),
    MAR("3","M03","03","03"),
    APR("4","M04","04","04"),
    MAY("5","M05","05","05"),
    JUN("6","M06","06","06"),
    JUL("7","M07","07","07"),
    AUG("8","M08","08","08"),
    SEPT("9","M09","09","09"),
    OCT("10","M10","10","10"),
    NOV("11","M11","11","11"),
    DEC("12","M12","12","12"),
    Q1TH("Q1TH","Q1","01","03"),
    Q2TH("Q2TH","Q2","04","06"),
    Q3TH("Q3TH","Q3","07","09"),
    Q4TH("Q4TH","Q4","10","12"),
    H1("H1","H1","01","06"),
    H2("H2","H2","07","12"),
    YEAR("YEAR","FY","01","12");
    private static final Map<String, TimeStampTypeEnum> codeMap = new HashMap<String, TimeStampTypeEnum>();
    
    static {
        for (TimeStampTypeEnum item : TimeStampTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String   code;
    private String   desc;
    private String   beginMonth;
    private String   endMonth;
    
    TimeStampTypeEnum(String code, String desc,String beginDate,String endDate) {
        this.code = code;
        this.desc = desc;
        this.beginMonth=beginDate;
        this.endMonth=endDate;
    }
    
    public static TimeStampTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
    public String beginDate() {
        return beginMonth;
    }
    
    public String endDate() {
        return endMonth;
    }
    
}