package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.AllocMethodEnum;
import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnum;
import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 投资结构
 *
 * @author bangis.wangdf
 */
public class InvestStructure extends BaseEntity {

    /**
     * order 排序.
     */
    private Long order;
    /**
     * layerAmt 金额/层级规模.
     */
    private Long layerAmt;
    /**
     * grade 评级.
     */
    private String grade;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * layerNo 层级编号.
     */
    private String layerNo;
    /**
     * intrType 利率类型.
     */
    private IntrTypeEnum intrType;
    /**
     * layerName 层级名称.
     */
    private String layerName;
    /**
     * layerType 分层类型.
     */
    private LayerTypeEnum layerType;
    /**
     * allocMethod 偿付方式.
     */
    private AllocMethodEnum allocMethod;
    /**
     * endDate 到期日.
     */
    private Date endDate;

    /**
     * effectDate 起息日.
     */
    private Date effectDate;

    /**
     * expectEndDate 预计到期日.
     */
    private Date expectEndDate;
    /**
     * layerIntr 利率.
     */
    private BigDecimal layerIntr;


    public Long getOrder() {
        return order;
    }

    public void setOrder(Long order) {
        this.order = order;
    }

    public Long getLayerAmt() {
        return layerAmt;
    }

    public void setLayerAmt(Long layerAmt) {
        this.layerAmt = layerAmt;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getLayerNo() {
        return layerNo;
    }

    public void setLayerNo(String layerNo) {
        this.layerNo = layerNo;
    }

    public IntrTypeEnum getIntrType() {
        return intrType;
    }

    public void setIntrType(IntrTypeEnum intrType) {
        this.intrType = intrType;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public LayerTypeEnum getLayerType() {
        return layerType;
    }

    public void setLayerType(LayerTypeEnum layerType) {
        this.layerType = layerType;
    }

    public AllocMethodEnum getAllocMethod() {
        return allocMethod;
    }

    public void setAllocMethod(AllocMethodEnum allocMethod) {
        this.allocMethod = allocMethod;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(Date effectDate) {
        this.effectDate = effectDate;
    }

    public Date getExpectEndDate() {
        return expectEndDate;
    }

    public void setExpectEndDate(Date expectEndDate) {
        this.expectEndDate = expectEndDate;
    }

    public BigDecimal getLayerIntr() {
        return layerIntr;
    }

    public void setLayerIntr(BigDecimal layerIntr) {
        this.layerIntr = layerIntr;
    }
}
