/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.*;
import com.general.system.common.model.BaseEntity;
import java.util.Date;
/**
 * 计划
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: Plan.java, v 0.1 2019-05-29 11:21 bangis.wangdf Exp $
 */
public class PlanBase  extends BaseEntity {
    /**
     * totalAmt 发行规模.
     */
    private Long totalAmt;
    /**
     * allocPeriod 兑付周期.
     */
    private Long allocPeriod;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * status 产品状态（设计中，已发行，已清算）.
     */
    private PlanStatusEnum status;
    /**
     * planName 产品简称.
     */
    private String planName;
    /**
     * tradePlace 交易场所.
     */
    private String tradePlace;
    /**
     * calcIntrType 计息方式/计息基准.
     */
    private CalcIntrTypeEnum calcIntrType;
    /**
     * planFullName 产品全称.
     */
    private String planFullName;
    /**
     * allocPeriodMethod 兑付周期类型.
     */
    private PeriodTypeEnum allocPeriodMethod;
    /**
     * endDate 法定到期日.
     */
    private Date endDate;
    /**
     * beginDate 产品成立日.
     */
    private Date beginDate;

    /**
     * firstPayDate 首次转付日.
     */
    private Date firstPayDate;
    /**
     * firstCalcDate 首次计算日.
     */
    private Date firstCalcDate;
    /**
     * firstAllocDate 首次分配日.
     */
    private Date firstAllocDate;
    /**
     * firstReportDate 首次报告日.
     */
    private Date firstReportDate;
    /**
     * firstSettleDate 首次结息日.
     */
    private Date firstSettleDate;

    public Long getTotalAmt() {
        return totalAmt;
    }

    public void setTotalAmt(Long totalAmt) {
        this.totalAmt = totalAmt;
    }

    public Long getAllocPeriod() {
        return allocPeriod;
    }

    public void setAllocPeriod(Long allocPeriod) {
        this.allocPeriod = allocPeriod;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public PlanStatusEnum getStatus() {
        return status;
    }

    public void setStatus(PlanStatusEnum status) {
        this.status = status;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getTradePlace() {
        return tradePlace;
    }

    public void setTradePlace(String tradePlace) {
        this.tradePlace = tradePlace;
    }

    public CalcIntrTypeEnum getCalcIntrType() {
        return calcIntrType;
    }

    public void setCalcIntrType(CalcIntrTypeEnum calcIntrType) {
        this.calcIntrType = calcIntrType;
    }

    public String getPlanFullName() {
        return planFullName;
    }

    public void setPlanFullName(String planFullName) {
        this.planFullName = planFullName;
    }

    public PeriodTypeEnum getAllocPeriodMethod() {
        return allocPeriodMethod;
    }

    public void setAllocPeriodMethod(PeriodTypeEnum allocPeriodMethod) {
        this.allocPeriodMethod = allocPeriodMethod;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getFirstPayDate() {
        return firstPayDate;
    }

    public void setFirstPayDate(Date firstPayDate) {
        this.firstPayDate = firstPayDate;
    }

    public Date getFirstCalcDate() {
        return firstCalcDate;
    }

    public void setFirstCalcDate(Date firstCalcDate) {
        this.firstCalcDate = firstCalcDate;
    }

    public Date getFirstAllocDate() {
        return firstAllocDate;
    }

    public void setFirstAllocDate(Date firstAllocDate) {
        this.firstAllocDate = firstAllocDate;
    }

    public Date getFirstReportDate() {
        return firstReportDate;
    }

    public void setFirstReportDate(Date firstReportDate) {
        this.firstReportDate = firstReportDate;
    }

    public Date getFirstSettleDate() {
        return firstSettleDate;
    }

    public void setFirstSettleDate(Date firstSettleDate) {
        this.firstSettleDate = firstSettleDate;
    }
}
