package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.TrCycleEnum;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;
import java.util.List;

/**
 * 转让规则
 *
 * @author bangis.wangdf
 */
public class PlanTransferRule extends BaseEntity {
    
    private String planNo;
    
    /**
     * transferNo 转让规则.
     */
    private String              transferNo;
    /**
     * resAmt 预留金额.
     */
    private Money               resAmt;
    /**
     * trCycle 转让周期
     * D D
     * W W
     * M M
     * Q Q
     * Y Y.
     */
    private TrCycleEnum         trCycle;
    /**
     * cycle 是否循环注水.
     */
    private Boolean             cycle;
    /**
     * slice 是否切片.
     */
    private Boolean             slice;
    /**
     * stopTrDate 停止转让日 持续购买终止日.
     */
    private Date                stopTrDate;
    /**
     * startTrDate 开始转让日 持续购买开始日.
     */
    private Date                startTrDate;
    /**
     * 筛选规则
     */
    private List<AstScreenRule> astScreenRuleList;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getTransferNo() {
        return transferNo;
    }
    
    public void setTransferNo(String transferNo) {
        this.transferNo = transferNo;
    }
    
    public Money getResAmt() {
        return resAmt;
    }
    
    public void setResAmt(Money resAmt) {
        this.resAmt = resAmt;
    }
    
    public TrCycleEnum getTrCycle() {
        return trCycle;
    }
    
    public void setTrCycle(TrCycleEnum trCycle) {
        this.trCycle = trCycle;
    }
    
    public Boolean getCycle() {
        return cycle;
    }
    
    public void setCycle(Boolean cycle) {
        this.cycle = cycle;
    }
    
    public Boolean getSlice() {
        return slice;
    }
    
    public void setSlice(Boolean slice) {
        this.slice = slice;
    }
    
    public Date getStopTrDate() {
        return stopTrDate;
    }
    
    public void setStopTrDate(Date stopTrDate) {
        this.stopTrDate = stopTrDate;
    }
    
    public Date getStartTrDate() {
        return startTrDate;
    }
    
    public void setStartTrDate(Date startTrDate) {
        this.startTrDate = startTrDate;
    }
    
    public List<AstScreenRule> getAstScreenRuleList() {
        return astScreenRuleList;
    }
    
    public void setAstScreenRuleList(List<AstScreenRule> astScreenRuleList) {
        this.astScreenRuleList = astScreenRuleList;
    }
}
