/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.model.prod;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.common.model.domain.ast: ProductRiskCl.java, v 0.1 2018-01-05 下午7:13 guozhenhua Exp $
 */
public class ProductRiskCl extends BaseEntity {

    /**
     * abs内部产品码
     */
    private String abssqrProdCode;

    /**
     * 五级分类
     */
    @VldNotNull(message = "五级分类不能为空")
    private AstRiskClassEnum riskCl;


    /**
     * 拨备比例
     */
    private BigDecimal prov = BigDecimal.ZERO;

    /**
     * 逾期天数
     */
    @VldNotNull(message = "逾期天数不能为空")
    private Integer ovdDays;



    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public Integer getOvdDays() {
        return ovdDays;
    }

    public void setOvdDays(Integer ovdDays) {
        this.ovdDays = ovdDays;
    }

    public BigDecimal getProv() {
        return prov;
    }

    public void setProv(BigDecimal prov) {
        this.prov = prov;
    }

    public AstRiskClassEnum getRiskCl() {
        return riskCl;
    }

    public void setRiskCl(AstRiskClassEnum riskCl) {
        this.riskCl = riskCl;
    }
}
