/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: InvestInfoRpt.java, v 0.1 2019-07-01 00:48 zhenxuan.luo Exp $
 */
public class InvestInfoRpt extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 189365436343759563L;
    
    /**
     * 层级编号
     */
    private String     investNo;
    /**
     * 层级名称
     */
    private String     investName;
    /**
     * 投入资本
     */
    private BigDecimal investCost     = BigDecimal.ZERO;
    /**
     * 票面利率
     */
    private BigDecimal rate           = BigDecimal.ZERO;
    /**
     * 期初本金
     */
    private BigDecimal prePrin        = BigDecimal.ZERO;
    /**
     * 期初收益
     */
    private BigDecimal preProfit      = BigDecimal.ZERO;
    /**
     * 期间兑付本金
     */
    private BigDecimal allocPrinAmt   = BigDecimal.ZERO;
    /**
     * 期间兑付收益
     */
    private BigDecimal allocProfitAmt = BigDecimal.ZERO;
    /**
     * 期间兑付增值税
     */
    private BigDecimal allocVtaxAmt   = BigDecimal.ZERO;
    /**
     * 期间新增收益
     */
    private BigDecimal addProfitAmt   = BigDecimal.ZERO;
    /**
     * 期末本金
     */
    private BigDecimal aftPrin        = BigDecimal.ZERO;
    /**
     * 期末收益
     */
    private BigDecimal aftProfit      = BigDecimal.ZERO;
    /**
     * 总兑付本金
     */
    private BigDecimal totAllocPrin   = BigDecimal.ZERO;
    /**
     * 总兑付收益
     */
    private BigDecimal totAllocProfit = BigDecimal.ZERO;
    /**
     * 总兑付增值税
     */
    private BigDecimal totAllocVtax   = BigDecimal.ZERO;
    
    public void combineAmt(InvestInfoRpt obj) {
        this.allocPrinAmt = this.allocPrinAmt.add(obj.allocPrinAmt);
        this.allocProfitAmt = this.allocProfitAmt.add(obj.allocProfitAmt);
        this.allocVtaxAmt = this.allocVtaxAmt.add(obj.allocVtaxAmt);
        this.addProfitAmt = this.addProfitAmt.add(obj.addProfitAmt);
    }
    
    public void copyPre(InvestInfoRpt obj) {
        this.investNo = obj.investNo;
        this.investName = obj.investName;
        this.investCost = obj.investCost;
        this.rate = obj.rate;
        this.prePrin = obj.prePrin;
        this.preProfit = obj.preProfit;
    }
    
    public void copyAft(InvestInfoRpt obj) {
        this.aftPrin = obj.aftPrin;
        this.aftProfit = obj.aftProfit;
        this.totAllocPrin = obj.totAllocPrin;
        this.totAllocProfit = obj.totAllocProfit;
        this.totAllocVtax = obj.totAllocVtax;
    }
    
    public void sum(InvestInfoRpt obj) {
        this.investCost = this.investCost.add(obj.investCost);
        this.prePrin = this.prePrin.add(obj.prePrin);
        this.preProfit = this.preProfit.add(obj.preProfit);
        this.allocPrinAmt = this.allocPrinAmt.add(obj.allocPrinAmt);
        this.allocProfitAmt = this.allocProfitAmt.add(obj.allocProfitAmt);
        this.allocVtaxAmt = this.allocVtaxAmt.add(obj.allocVtaxAmt);
        this.addProfitAmt = this.addProfitAmt.add(obj.addProfitAmt);
        this.aftPrin = this.aftPrin.add(obj.aftPrin);
        this.aftProfit = this.aftProfit.add(obj.aftProfit);
        this.totAllocPrin = this.totAllocPrin.add(obj.totAllocPrin);
        this.totAllocProfit = this.totAllocProfit.add(obj.totAllocProfit);
        this.totAllocVtax = this.totAllocVtax.add(obj.totAllocVtax);
    }
    
    public String getInvestNo() {
        return investNo;
    }
    
    public void setInvestNo(String investNo) {
        this.investNo = investNo;
    }
    
    public String getInvestName() {
        return investName;
    }
    
    public void setInvestName(String investName) {
        this.investName = investName;
    }
    
    public BigDecimal getInvestCost() {
        return investCost;
    }
    
    public void setInvestCost(BigDecimal investCost) {
        this.investCost = investCost;
    }
    
    public BigDecimal getRate() {
        return rate;
    }
    
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
    
    public BigDecimal getPrePrin() {
        return prePrin;
    }
    
    public void setPrePrin(BigDecimal prePrin) {
        this.prePrin = prePrin;
    }
    
    public BigDecimal getPreProfit() {
        return preProfit;
    }
    
    public void setPreProfit(BigDecimal preProfit) {
        this.preProfit = preProfit;
    }
    
    public BigDecimal getAllocPrinAmt() {
        return allocPrinAmt;
    }
    
    public void setAllocPrinAmt(BigDecimal allocPrinAmt) {
        this.allocPrinAmt = allocPrinAmt;
    }
    
    public BigDecimal getAllocProfitAmt() {
        return allocProfitAmt;
    }
    
    public void setAllocProfitAmt(BigDecimal allocProfitAmt) {
        this.allocProfitAmt = allocProfitAmt;
    }
    
    public BigDecimal getAllocVtaxAmt() {
        return allocVtaxAmt;
    }
    
    public void setAllocVtaxAmt(BigDecimal allocVtaxAmt) {
        this.allocVtaxAmt = allocVtaxAmt;
    }
    
    public BigDecimal getAddProfitAmt() {
        return addProfitAmt;
    }
    
    public void setAddProfitAmt(BigDecimal addProfitAmt) {
        this.addProfitAmt = addProfitAmt;
    }
    
    public BigDecimal getAftPrin() {
        return aftPrin;
    }
    
    public void setAftPrin(BigDecimal aftPrin) {
        this.aftPrin = aftPrin;
    }
    
    public BigDecimal getAftProfit() {
        return aftProfit;
    }
    
    public void setAftProfit(BigDecimal aftProfit) {
        this.aftProfit = aftProfit;
    }
    
    public BigDecimal getTotAllocPrin() {
        return totAllocPrin;
    }
    
    public void setTotAllocPrin(BigDecimal totAllocPrin) {
        this.totAllocPrin = totAllocPrin;
    }
    
    public BigDecimal getTotAllocProfit() {
        return totAllocProfit;
    }
    
    public void setTotAllocProfit(BigDecimal totAllocProfit) {
        this.totAllocProfit = totAllocProfit;
    }
    
    public BigDecimal getTotAllocVtax() {
        return totAllocVtax;
    }
    
    public void setTotAllocVtax(BigDecimal totAllocVtax) {
        this.totAllocVtax = totAllocVtax;
    }
}