/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: TfrRpt.java, v 0.1 2019-07-01 00:58 zhenxuan.luo Exp $
 */
public class TfrRpt extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = 1398864323975755660L;
    
    /**
     * 期初累计转让金额
     */
    private BigDecimal preAccGrant    = BigDecimal.ZERO;
    /**
     * 期初累计转让笔数
     */
    private BigDecimal preAccGrantCnt = BigDecimal.ZERO;
    /**
     * 期间转让金额
     */
    private BigDecimal grantAmt       = BigDecimal.ZERO;
    /**
     * 期间转让笔数
     */
    private BigDecimal grantCnt       = BigDecimal.ZERO;
    /**
     * 期末累计转让金额
     */
    private BigDecimal aftAccGrant    = BigDecimal.ZERO;
    /**
     * 期末累计转让笔数
     */
    private BigDecimal aftAccGrantCnt = BigDecimal.ZERO;
    
    public void combineAmt(TfrRpt obj) {
        this.grantAmt = this.grantAmt.add(obj.grantAmt);
        this.grantCnt = this.grantCnt.add(obj.grantCnt);
    }
    
    public void copyPre(TfrRpt obj) {
        this.preAccGrant = obj.preAccGrant;
        this.preAccGrantCnt = obj.preAccGrantCnt;
    }
    
    public void copyAft(TfrRpt obj) {
        this.aftAccGrant = obj.aftAccGrant;
        this.aftAccGrantCnt = obj.aftAccGrantCnt;
    }
    
    public BigDecimal getPreAccGrant() {
        return preAccGrant;
    }
    
    public void setPreAccGrant(BigDecimal preAccGrant) {
        this.preAccGrant = preAccGrant;
    }
    
    public BigDecimal getPreAccGrantCnt() {
        return preAccGrantCnt;
    }
    
    public void setPreAccGrantCnt(BigDecimal preAccGrantCnt) {
        this.preAccGrantCnt = preAccGrantCnt;
    }
    
    public BigDecimal getGrantAmt() {
        return grantAmt;
    }
    
    public void setGrantAmt(BigDecimal grantAmt) {
        this.grantAmt = grantAmt;
    }
    
    public BigDecimal getGrantCnt() {
        return grantCnt;
    }
    
    public void setGrantCnt(BigDecimal grantCnt) {
        this.grantCnt = grantCnt;
    }
    
    public BigDecimal getAftAccGrant() {
        return aftAccGrant;
    }
    
    public void setAftAccGrant(BigDecimal aftAccGrant) {
        this.aftAccGrant = aftAccGrant;
    }
    
    public BigDecimal getAftAccGrantCnt() {
        return aftAccGrantCnt;
    }
    
    public void setAftAccGrantCnt(BigDecimal aftAccGrantCnt) {
        this.aftAccGrantCnt = aftAccGrantCnt;
    }
}