/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.analyse;

import com.abssqr.plat.common.facade.validation.VldCollection;
import com.abssqr.plat.common.facade.validation.VldRange;

import java.util.List;

/**
 * 统计图 参数
 * @author hanfei
 * @version $Id: AnalyseTrendChartParam.java, v 0.1 2019-09-19 10:47 AM hanfei Exp $ 
 */
public class AnalyseTrendChartParam extends AnalyseBaseParam {
    /**
     * 业务类型
     */
    @VldCollection(message = "业务类型不能为空")
    private List<String> services;
    /**
     * 日期范围
     */
    @VldRange(min = 1, message = "日期范围必须大于1")
    private Integer range = 7;

    
    public List<String> getServices() {
        return services;
    }
    
    public void setServices(List<String> services) {
        this.services = services;
    }
    
    public Integer getRange() {
        return range;
    }
    
    public void setRange(Integer range) {
        this.range = range;
    }
    
}
