/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.analyse;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldBigDecimal;
import com.abssqr.plat.common.facade.validation.VldRange;

import java.math.BigDecimal;

/**
 *
 * @author hanfei
 * @version $Id: CalcFundParam.java, v 0.1 2019-09-19 10:47 AM hanfei Exp $
 */
public class CalcFundParam extends AnalyseBaseParam {

    
    @VldRange(message = "历史日回款率")
    private BigDecimal repayRate;
    /**
     * 万元
     */
    @VldBigDecimal(message = "募集规模金额不能为空")
    private BigDecimal scaleAmtDesc;
    
    /**
     * 万元
     */
    @VldBigDecimal(message = "日均放贷预计金额不能为空")
    private BigDecimal grantAmtDesc;
    /**
     * 万元
     */
    @VldBigDecimal(message = "当前剩余可用资金")
    private BigDecimal ableBal;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public BigDecimal getGrantAmtDesc() {
        return grantAmtDesc;
    }
    
    public void setGrantAmtDesc(BigDecimal grantAmtDesc) {
        this.grantAmtDesc = grantAmtDesc;
    }
    
    public BigDecimal getRepayRate() {
        return repayRate;
    }
    
    public void setRepayRate(BigDecimal repayRate) {
        this.repayRate = repayRate;
    }
    
    public BigDecimal getAbleBal() {
        return ableBal;
    }
    
    public void setAbleBal(BigDecimal ableBal) {
        this.ableBal = ableBal;
    }
    
    public BigDecimal getScaleAmtDesc() {
        return scaleAmtDesc;
    }
    
    public void setScaleAmtDesc(BigDecimal scaleAmtDesc) {
        this.scaleAmtDesc = scaleAmtDesc;
    }
    

}
