/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.loan;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldRange;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.loan: LoanPageQryParam.java, v 0.1 2019-05-30 15:11 zhenxuan.luo Exp $
 */
public class LoanPageQryParam extends BasePageQryParam {
    private static final long serialVersionUID = 6129918901214660995L;
    
    /**
     * ownOrg 所属机构（计划）.
     */
    @VldString(message = "资产所属机构不能为空")
    private String ownOrg;
    
    /**
     * 外部资产编号.
     */
    private String outAstNo;
    /**
     * 外部资产编号.
     */
    private String astNo;
    /**
     * riskCl 五级分类
     */
    @VldEnums(enumClass = AstRiskClassEnum.class, nullable = true, message = "五级分类")
    private String riskCl;
    /**
     * ovdDays 逾期天数.
     */
    @VldRange(nullable = true, min = 0, message = "逾期天数不能为负")
    private Integer ovdDays;

    /**
     * 资金编号
     */
    private String capitalNo;
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.AST_QRY;
    }
    
    
    public String getOwnOrg() {
        return ownOrg;
    }
    
    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public Integer getOvdDays() {
        return ovdDays;
    }
    
    public void setOvdDays(Integer ovdDays) {
        this.ovdDays = ovdDays;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }

    public String getRiskCl() {
        return riskCl;
    }

    public void setRiskCl(String riskCl) {
        this.riskCl = riskCl;
    }

    public String getAstNo() {
        return astNo;
    }

    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }

    public String getCapitalNo() {
        return capitalNo;
    }

    public void setCapitalNo(String capitalNo) {
        this.capitalNo = capitalNo;
    }
}