package com.abssqr.plat.common.facade.param.plan;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.param.plan.sub.FeeStructureParam;
import com.abssqr.plat.common.facade.param.plan.sub.InvestStructureParam;

import java.util.Date;
import java.util.List;

public class PlanEditOprParam extends BaseOprParam {

    /**
     * 计划编号
     */
    private String planNo;
    /**
     * totalAmt 发行规模.
     */
    private Long totalAmt;
    /**
     * allocPeriod 兑付周期.
     */
    private Long allocPeriod;

    /**
     * planName 产品简称.
     */
    private String planName;
    /**
     * tradePlace 交易场所.
     */
    private String tradePlace;
    /**
     * calcIntrType 计息方式/计息基准.
     */
    private String calcIntrType;
    /**
     * planFullName 产品全称.
     */
    private String planFullName;
    /**
     * allocPeriodMethod 兑付周期类型.
     */
    private String allocPeriodMethod;
    /**
     * endDate 法定到期日.
     */
    private Date endDate;
    /**
     * beginDate 产品成立日.
     */
    private Date beginDate;

    /**
     * firstPayDate 首次转付日.
     */
    private Date firstPayDate;
    /**
     * firstCalcDate 首次计算日.
     */
    private Date firstCalcDate;
    /**
     * firstAllocDate 首次分配日.
     */
    private Date firstAllocDate;
    /**
     * firstReportDate 首次报告日.
     */
    private Date firstReportDate;
    /**
     * firstSettleDate 首次结息日.
     */
    private Date firstSettleDate;


    //是否是暂存
    private boolean draft;

    private boolean add;

    //费用结构
    private List<FeeStructureParam> feeStructureParam;

    //投资结构
    private List<InvestStructureParam> investStructureParam;

    public Long getTotalAmt() {
        return totalAmt;
    }

    public void setTotalAmt(Long totalAmt) {
        this.totalAmt = totalAmt;
    }

    public Long getAllocPeriod() {
        return allocPeriod;
    }

    public void setAllocPeriod(Long allocPeriod) {
        this.allocPeriod = allocPeriod;
    }


    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getTradePlace() {
        return tradePlace;
    }

    public void setTradePlace(String tradePlace) {
        this.tradePlace = tradePlace;
    }

    public String getCalcIntrType() {
        return calcIntrType;
    }

    public void setCalcIntrType(String calcIntrType) {
        this.calcIntrType = calcIntrType;
    }

    public String getPlanFullName() {
        return planFullName;
    }

    public void setPlanFullName(String planFullName) {
        this.planFullName = planFullName;
    }

    public String getAllocPeriodMethod() {
        return allocPeriodMethod;
    }

    public void setAllocPeriodMethod(String allocPeriodMethod) {
        this.allocPeriodMethod = allocPeriodMethod;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getFirstPayDate() {
        return firstPayDate;
    }

    public void setFirstPayDate(Date firstPayDate) {
        this.firstPayDate = firstPayDate;
    }

    public Date getFirstCalcDate() {
        return firstCalcDate;
    }

    public void setFirstCalcDate(Date firstCalcDate) {
        this.firstCalcDate = firstCalcDate;
    }

    public Date getFirstAllocDate() {
        return firstAllocDate;
    }

    public void setFirstAllocDate(Date firstAllocDate) {
        this.firstAllocDate = firstAllocDate;
    }

    public Date getFirstReportDate() {
        return firstReportDate;
    }

    public void setFirstReportDate(Date firstReportDate) {
        this.firstReportDate = firstReportDate;
    }

    public Date getFirstSettleDate() {
        return firstSettleDate;
    }

    public void setFirstSettleDate(Date firstSettleDate) {
        this.firstSettleDate = firstSettleDate;
    }

    public List<FeeStructureParam> getFeeStructureParam() {
        return feeStructureParam;
    }

    public void setFeeStructureParam(List<FeeStructureParam> feeStructureParam) {
        this.feeStructureParam = feeStructureParam;
    }

    public List<InvestStructureParam> getInvestStructureParam() {
        return investStructureParam;
    }

    public void setInvestStructureParam(List<InvestStructureParam> investStructureParam) {
        this.investStructureParam = investStructureParam;
    }

    public boolean isDraft() {
        return draft;
    }

    public void setDraft(boolean draft) {
        this.draft = draft;
    }

    public boolean isAdd() {
        return add;
    }

    public void setAdd(boolean add) {
        this.add = add;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
