/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.AllocTypeEmun;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc: PlanAllocQryParam.java, v 0.1 2019-06-03 14:27 bangis.wangdf Exp $
 */
public class TitleNameQryParam extends BaseParam {
    
    private static final long serialVersionUID = -5646243603947290080L;
    @VldString(message = "计划编号不能为空")
    private String planNo;

    @VldEnums(enumClass = AllocTypeEmun.class,message = "分配事项类型不能为空")
    private String allocType;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public String getPlanNo() {
        return planNo;
    }

    public String getAllocType() {
        return allocType;
    }

    public void setAllocType(String allocType) {
        this.allocType = allocType;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
}
