/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.plan.priceRule;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PriceTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAstPriceRule;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

import java.util.List;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.plan.priceRule: PlanAstPriceRuleParam.java, v 0.1 2019-11-07 5:50 PM xiachenxiang Exp $ 
 */
public class PlanAstPriceRuleParam extends BaseOprParam {


    /**
     * 计划编号
     */
    @VldString(message = "项目编号不能为空")
    private String planNo;
    /**
     * 定价类型
     */
    @VldEnums(message = "定价类型不能为空",enumClass = PriceTypeEnum.class)
    private String priceType;
    /**
     * 定价规则列表
     */
    private List<PlanAstPriceRule> planAstPriceRuleList;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public List<PlanAstPriceRule> getPlanAstPriceRuleList() {
        return planAstPriceRuleList;
    }

    public void setPlanAstPriceRuleList(List<PlanAstPriceRule> planAstPriceRuleList) {
        this.planAstPriceRuleList = planAstPriceRuleList;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
