/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.sub;

import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnum;
import com.abssqr.plat.common.facade.validation.VldDate;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 投资结构
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: InvestStructureParam.java, v 0.1 2019-05-30 15:05 bangis.wangdf Exp $
 */
public class InvestStructureParam extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 8524145157995591525L;
    /**
     * order 排序.
     */
    private Long order;
    /**
     * layerAmt 金额/层级规模.
     */
    private Long layerAmt;
    /**
     * grade 评级.
     */
    private String grade;
    /**
     * intrType 利率类型.
     */
    private String intrType;
    /**
     * layerName 层级名称.
     */
    private String layerName;
    /**
     * layerType 分层类型.
     */
    private String layerType;
    /**
     * allocMethod 偿付方式.
     */
    private String allocMethod;
    /**
     * endDate 到期日.
     */
    private Date endDate;

    /**
     * effectDate 起息日.
     */
    private Date effectDate;

    /**
     * expectEndDate 预计到期日.
     */
    private Date expectEndDate;
    /**
     * layerIntr 利率.
     */
    private BigDecimal layerIntr;



    public Long getOrder() {
        return order;
    }

    public void setOrder(Long order) {
        this.order = order;
    }

    public Long getLayerAmt() {
        return layerAmt;
    }

    public void setLayerAmt(Long layerAmt) {
        this.layerAmt = layerAmt;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }


    public String getIntrType() {
        return intrType;
    }

    public void setIntrType(String intrType) {
        this.intrType = intrType;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getLayerType() {
        return layerType;
    }

    public void setLayerType(String layerType) {
        this.layerType = layerType;
    }

    public String getAllocMethod() {
        return allocMethod;
    }

    public void setAllocMethod(String allocMethod) {
        this.allocMethod = allocMethod;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(Date effectDate) {
        this.effectDate = effectDate;
    }

    public Date getExpectEndDate() {
        return expectEndDate;
    }

    public void setExpectEndDate(Date expectEndDate) {
        this.expectEndDate = expectEndDate;
    }

    public BigDecimal getLayerIntr() {
        return layerIntr;
    }

    public void setLayerIntr(BigDecimal layerIntr) {
        this.layerIntr = layerIntr;
    }
}
