/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.param.ast.AstPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.facade.param.ast.AstPackSealOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackSplitPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackUnPackOprParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.pack.AstPackListVO;
import com.abssqr.plat.common.facade.result.pack.AstPackVO;
import com.abssqr.plat.common.facade.validation.Valid;

/**
 * 资产包服务
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.service.ast: AstPackService.java, v 0.1 2020-04-18 3:13 PM xiachenxiang Exp $ 
 */
public interface AstPackService {
    /**
     * 编辑资产包
     * @param astPackOprParam
     * @return
     */
    String edit(AstPackOprParam astPackOprParam);

    /**
     * 分页查询资产包
     * @param astPackQryParam
     * @return
     */
    BasePage<AstPackListVO> getList(AstPackQryParam astPackQryParam);

    /**
     * 获取资产包详情
     * @param astPackQryParam
     * @return
     */
    AstPackVO get(AstPackQryParam astPackQryParam);

    /**
     * 封包
     * @param astPackSealOprParam
     * @return
     */
    String sealPack(AstPackSealOprParam astPackSealOprParam);

    /**
     * 解包
     * @param astPackUnPackOprParam
     * @return
     */
    String unPack(@Valid AstPackUnPackOprParam astPackUnPackOprParam);

    /**
     * 拆包
     * @param astPackSplitPackOprParam
     * @return
     */
    String splitPack(AstPackSplitPackOprParam astPackSplitPackOprParam);

}
