/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 绑定校验注解和校验实现类的 注解<br/>
 * 一个校验注解对应一个校验实现类
 *
 * @author zhenxuan.luo
 * @version $Id : Bind.java, v 0.1 2015年5月18日 下午3:47:35 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.ANNOTATION_TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface Bind {

    /**
     * 可校验的类型
     *
     * @return 可校验的类型列表 class [ ]
     */
    Class<?>[] verifiableClass();

}
