/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.Date;

/**
 * 日期范围校验
 * 
 * @author zhenxuan.luo
 * @version $Id: VldDate.java, v 0.1 2015年5月22日 上午11:42:51 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(verifiableClass = { Date.class })
public @interface VldDate {

    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for date}";
    
    /**
     * 是否将来日期
     * 
     * @return
     */
    public boolean isFuture() default false;
    
    /**
     * 是否允许为空
     * 
     * @return
     */
    public boolean nullable() default false;
    
}
