/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 本注解可校验的类型是:{@link String}<br/>
 * 
 * @author zhenxuan.luo
 * @version $Id: VldString.java, v 0.1 2015年5月18日 下午7:15:39 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(verifiableClass = { String.class })
public @interface VldString {
    
    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for String}";

    /**
     * 是否允许为null
     * @return true:允许为空;反之返回false
     */
    boolean nullable() default false;
    
    /**
     * 是否校验是否为空，等同于StringUtil.isEmpty
     * 
     * @return
     */
    boolean checkEmpty() default true;
    
    /**
     * 最大长度
     * @return
     */
    int maxLength() default Integer.MAX_VALUE;
    
    /**
     * 最小长度
     * 
     * @return
     */
    int minLength() default 0;
}
