/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.integration.notice.model.impl;

import cn.hutool.http.HttpRequest;
import com.abssqr.plat.common.integration.notice.RobotClient;
import com.abssqr.plat.common.integration.notice.model.RobotRequest;
import com.abssqr.plat.common.integration.notice.model.RobotResponse;
import com.abssqr.plat.common.util.loggers.CommonLoggers;
import com.alibaba.fastjson.JSON;
import org.slf4j.Logger;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.integration.notice.model.impl: DefaultRobotClient.java, v 0.1 2019-09-30 3:06 PM xiachenxiang Exp $
 */
public class DefaultRobotClient implements RobotClient {
    
    private final static Logger LOGGER = CommonLoggers.DING_TALK_INTEGRATION;

    @Override
    public RobotResponse execute(RobotRequest request) {
        LOGGER.info("send message to [" + request.getUrl() + "]");
        HttpRequest httpRequest = HttpRequest.post(request.getUrl());
        // 是否需要设置代理
        if (request.getProxy() != null){
            httpRequest.setProxy(request.getProxy());
        }
        String result = httpRequest
                                .header("Content-Type", "application/json;charset=UTF-8")
                                .body(request.toString()).execute().body();
        LOGGER.info("result=["+result+"]");
        RobotResponse robotResponse = JSON.parseObject(result,RobotResponse.class);
        return robotResponse;
    }
}
