/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPriceRuleDO;
import com.abssqr.plat.common.facade.model.rule.AstPriceRule;
import com.general.system.tool.util.ToolUtil;
import com.google.common.collect.Lists;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: AstPriceRuleConvert.java, v 0.1 2020-02-08 12:12 AM hanfei Exp $ 
 */
public class AstPriceRuleConvert {
    
    public static List<AstPriceRule> convertDomains(List<AstPriceRuleDO> doList) {
        List<AstPriceRule> result = Lists.newArrayList();
        if (ToolUtil.isEmpty(doList)) {
            return result;
        }
        doList.forEach(one -> {
            result.add(convertDomain(one));
        });
        return result;
    }
    
    public static AstPriceRule convertDomain(AstPriceRuleDO param) {
        if (param == null){
            return null;
        }
        AstPriceRule result  = new AstPriceRule();
        result.setRiskCl(param.getRiskCl());
        result.setAbssqrProdCode(param.getAbssqrProdCode());
        result.setIntrRate(param.getIntrRate());
        result.setPrinRate(param.getPrinRate());
        result.setPenalFeeRate(param.getPenalFeeRate());
        return result;
    }
    
    
    public static List<AstPriceRuleDO> convertDos(List<AstPriceRule> rules) {
        List<AstPriceRuleDO> result = Lists.newArrayList();
        if (ToolUtil.isEmpty(rules)) {
            return result;
        }
        rules.forEach(one -> {
            result.add(convert2Do(one));
        });
        return result;
    }
    
    public static AstPriceRuleDO convert2Do(AstPriceRule param) {
        if (param == null){
            return null;
        }
        AstPriceRuleDO result  = new AstPriceRuleDO();
        result.setRiskCl(param.getRiskCl());
        result.setAbssqrProdCode(param.getAbssqrProdCode());
        result.setIntrRate(param.getIntrRate());
        result.setPrinRate(param.getPrinRate());
        result.setPenalFeeRate(param.getPenalFeeRate());
        return result;
    }
}
