package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.FeeStructure;
import com.abssqr.plat.common.model.enums.IdTypeEnum;
import com.abssqr.plat.common.model.seq.SequenceUtil;

import java.math.BigDecimal;

public class FeeStructureConvert {
    public static FeeStructure convert2Entity(PlanFeeStructureDO var){
        FeeStructure feeStructure=new FeeStructure();
        feeStructure.setFeeCalcDefaultDate(var.getFeeCalcDefaultDate());
        feeStructure.setPlanNo(var.getPlanNo());
        feeStructure.setPayLimitAmt(var.getPayLimitAmt());
        feeStructure.setOrder(var.getOrder());
        feeStructure.setFixedFeeAmt(var.getFixedFeeAmt());
        feeStructure.setFeeScaleType(FeeScaleTypeEnum.getByCode(var.getFeeScaleType()));
        feeStructure.setFeeRate(var.getFeeRate());
        feeStructure.setFeeNo(SequenceUtil.genId(IdTypeEnum.FEE));
        feeStructure.setFeeCalcType(CalcTypeEnum.getByCode(var.getFeeCalcType()));
        feeStructure.setFeeName(var.getFeeName());
        return feeStructure;
    }

    public static PlanFeeStructureDO convert2DO(FeeStructure var){
        PlanFeeStructureDO result=new PlanFeeStructureDO();
        result.setFeeCalcDefaultDate(var.getFeeCalcDefaultDate());
        result.setPlanNo(var.getPlanNo());
        result.setPayLimitAmt(var.getPayLimitAmt());
        result.setOrder(var.getOrder());
        result.setFixedFeeAmt(var.getFixedFeeAmt());
        result.setFeeScaleType(var.getFeeScaleType().getCode());
        result.setFeeRate(var.getFeeRate());
        result.setFeeNo(SequenceUtil.genId(IdTypeEnum.FEE));
        result.setFeeCalcType(var.getFeeCalcType().getCode());
        result.setFeeName(var.getFeeName());
        return result;
    }
}
