/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstDO;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.LoanAstStatusEnum;
import com.abssqr.plat.common.facade.enums.PriceTypeEnum;
import com.abssqr.plat.common.model.domain.ast.LoanAst;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: LoanConvert.java, v 0.1 2018-03-07 下午4:14 zhenxuan.luo Exp $
 */
public class LoanAstConvert {
    public static List<LoanAst> convert2Domains(List<LoanAstDO> var) {
        List<LoanAst> ret = Lists.newArrayList();
        
        if (CollectionUtils.isNotEmpty(var)) {
            for (LoanAstDO loanAstDO : var) {
                LoanAst loanAst = convert2Domain(loanAstDO);
                if (null != loanAst) {
                    ret.add(loanAst);
                }
            }
        }
        return ret;
    }
    
    public static LoanAst convert2Domain(LoanAstDO var) {
        if (var == null) {
            return null;
        }
        
        LoanAst instance = new LoanAst(false);
        
        instance.setLoanAstNo(var.getLoanAstNo());
        instance.setAstNo(var.getAstNo());
        instance.setOutAstNo(var.getOutAstNo());
        instance.setOwnPack(var.getOwnPack());
        instance.setOwnOrg(var.getOwnOrg());
        instance.setLenderOrgCode(var.getLenderOrgCode());
        instance.setProdNo(var.getProdNo());
        instance.setOutProdNo(var.getOutProdNo());
        instance.setUserId(var.getUserId());
        instance.setTermNo(var.getTermNo());
        instance.setPrinBal(var.getPrinBal());
        instance.setPaidPrinAmt(var.getPaidPrinAmt());
        instance.setCostAmt(var.getCostAmt());
        instance.setAstPrice(var.getAstPrice());
        instance.setAstPriceType(PriceTypeEnum.getByCodeNoDefault(var.getAstPriceType()));
        instance.setInRule(var.getInRule());
        instance.setInDate(var.getInDate());
        instance.setInAstNo(var.getInAstNo());
        instance.setAstStatus(LoanAstStatusEnum.getByCode(var.getAstStatus()));
        instance.setClearEvnt(EventCodeEnum.getByCode(var.getClearEvnt()));
        instance.setClearDate(var.getClearDate());
        instance.setExtInf(var.getExtInf());
        instance.setLastUpdateDate(var.getLastUpdateDate());
        
        return instance;
    }
    
    public static LoanAstDO convert2DO(LoanAst var) {
        if (var == null) {
            return null;
        }
        
        LoanAstDO instance = new LoanAstDO();
        
        instance.setLoanAstNo(var.getLoanAstNo());
        instance.setAstNo(var.getAstNo());
        instance.setOutAstNo(var.getOutAstNo());
        instance.setOwnPack(var.getOwnPack());
        instance.setOwnOrg(var.getOwnOrg());
        instance.setLenderOrgCode(var.getLenderOrgCode());
        instance.setProdNo(var.getProdNo());
        instance.setOutProdNo(var.getOutProdNo());
        instance.setUserId(var.getUserId());
        instance.setTermNo(var.getTermNo());
        instance.setPrinBal(var.getPrinBal());
        instance.setPaidPrinAmt(var.getPaidPrinAmt());
        instance.setCostAmt(var.getCostAmt());
        instance.setAstPrice(var.getAstPrice());
        instance.setAstPriceType((var.getAstPriceType() == null) ? "" : var.getAstPriceType().getCode());
        instance.setInRule(var.getInRule());
        instance.setInDate(var.getInDate());
        instance.setInAstNo(var.getInAstNo());
        instance.setAstStatus(var.getAstStatus().getCode());
        instance.setClearEvnt((var.getClearEvnt() == null) ? "" : var.getClearEvnt().getCode());
        instance.setClearDate(var.getClearDate());
        instance.setExtInf(var.getExtInf());
        instance.setLastUpdateDate(var.getLastUpdateDate());
        
        return instance;
    }
}
