/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.model.prod.ProductRiskCl;
import com.abssqr.plat.common.facade.param.prod.ProdEditParam;
import com.abssqr.plat.common.facade.param.prod.item.ProductRiskClParam;
import com.abssqr.plat.common.model.enums.IdTypeEnum;
import com.abssqr.plat.common.model.seq.SequenceUtil;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 *
 * @author yangcheng
 * @version ProdParamConvert.java, v0.12019-06-2417:23 yangchengExp$
 */
public class ProdParamConvert {
    
    // 新增对象
    public static LoanProduct convert2Prod(ProdEditParam param){
        LoanProduct result=new LoanProduct();
        //prodCode 外部产品码
        result.setProdCode(param.getProdCode().trim());
        //prodName 产品名
        result.setProdName(param.getProdName().trim());
        //lenderOrgCode 贷款的实际出资机构
        result.setLenderOrgCode(param.getLenderOrgCode());
        //managerOrgCode 贷款的管理机构
        result.setLenderOrgName(param.getLenderOrgName());
        //managerOrgCode 贷款的管理机构
        result.setManagerOrgCode(param.getManagerOrgCode().trim());
        //managerOrgCode 贷款的管理机构
        result.setManagerOrgName(param.getManagerOrgName());
        //abssqrProdCode 内部产品码
        result.setAbssqrProdCode(SequenceUtil.genId(IdTypeEnum.AST_PROD_ID));
        // 五级分类
        result.setProductRiskCls(convertTOProd(param.getProductRiskClList()));
        return result;
    }
    
    public static List<ProductRiskCl> convertTOProd(List<ProductRiskClParam> list) {
        if (CollectionUtils.isEmpty(list)) {
            return null;
        }
        List<ProductRiskCl> result = Lists.newArrayList();
        list.forEach(DO -> {
            result.add(convertTO(DO));
        });
        return result;
    }
    
    private static ProductRiskCl convertTO(ProductRiskClParam param) {
        if (param == null) {
            return null;
        }
        ProductRiskCl result = new ProductRiskCl();
        //abs内部产品码
        result.setAbssqrProdCode(param.getAbssqrProdCode());
        //五级分类
        result.setRiskCl(AstRiskClassEnum.getByCode(param.getRiskCl()));
        //拨备比例
        result.setProv(param.getProv());
        // 逾期天数
        result.setOvdDays(param.getOvdDays());
        return result;
    }
}
