/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.loanTrans;

import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;
import com.abssqr.plat.common.facade.model.rule.AstPriceRule;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.rule.TransferDateRule;
import com.general.system.common.model.BaseEntity;

import java.util.List;

/**
 * 转让交易模型
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.domain.loanTrans: LoanTrTrans.java, v 0.1 2020-02-11 2:58 PM xiachenxiang Exp $
 */
public class LoanAstTrTrans extends BaseEntity {
    /**
     * 资产
     */
    private Loan loan;
    /**
     * 批次号
     */
    private String batchNo;
    /**
     * 序列号
     */
    private String SeqNo;
    /**
     * 转让规则
     */
    private PlanTransferRule planTransferRule;
    /**
     * 定价规则
     */
    private List<AstPriceRule> astPriceRuleList;
    /**
     * 转让日期规则
     */
    private TransferDateRule   transferDateRule;

    public Loan getLoan() {
        return loan;
    }

    public void setLoan(Loan loan) {
        this.loan = loan;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public PlanTransferRule getPlanTransferRule() {
        return planTransferRule;
    }

    public void setPlanTransferRule(PlanTransferRule planTransferRule) {
        this.planTransferRule = planTransferRule;
    }

    public List<AstPriceRule> getAstPriceRuleList() {
        return astPriceRuleList;
    }

    public void setAstPriceRuleList(List<AstPriceRule> astPriceRuleList) {
        this.astPriceRuleList = astPriceRuleList;
    }

    public TransferDateRule getTransferDateRule() {
        return transferDateRule;
    }

    public void setTransferDateRule(TransferDateRule transferDateRule) {
        this.transferDateRule = transferDateRule;
    }
}
