/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产流动类型枚举
 *
 * @author zhenxuan.luo
 * @version $Id: AssetFlowTypeEnum.java, v 0.1 2017-06-09 下午16:56 zhenxuan.luo Exp $
 */
public enum IdTypeEnum implements IEnum {

    AST_ID("ATD", "资产ID"),

    SIMU("SMD", "测算上下文"),

    COMMONTAK_ID("CMT", "任务id"),

    AST_CASHFLOW_ID("ASD", "资产ID"),

    INVESTSTRUCTURE("ISD", "投资结构编号前缀"),

    AST_CONTRACT_ID("ACD", "资产合同ID"),

    AST_PROD_ID("APD", "资产产品ID"),

    CLEAR_ORDER_ID("CLT", "清算指令ID"),

    ALLOC_OUTCOME_ID("AOT", "计算结果id"),

    ORG_CODE("OGD", "机构Code"),

    ACCT_TITLE_CODE("ATD", "科目Code"),

    SEQ("SEQ", "Seq"),

    ALLOCPRG("ALD", "分配方案编号前缀"),

    ALLOCITM("AID", "分配事项编号前缀"),

    FEE("FED", "计划费用前缀"),

    ASTSCREENINGRULE("SND", "资产筛选规则编号前缀"),

    APPROVE("APR", "审批流程编号"),

    TRANSFERRULE("TRD", "转让规则编号前缀"),

    CAP_AST_MATCH("CAM","资金资产匹配"),

    CAP_AST_UNMATCH("CAU","资金资产解绑"),


    AST_POOL_CODE("ASTPOOL","资产池编号"),

    AST_PACK_CODE("ASTPACK","资产包编号"),

    ABS_PLAN("ABSPLAN","产品编号")

    ;

//
//    PERMISSION("PERM", "权限编号前缀"),
//    PACK("PACK", "资产包编号前缀"),
//    PLAN("PLAN", "计划编号前缀"),
//    PRODUCT("PROD", "产口编号前缀"),
//    ROLE("ROLE", "角色编号前缀"),
//    AMORTPLAN("AMORTPLAN", "分配计划编号前缀"),
//    ASTSCREENINGRULE("ASTS_CR", "资产筛选规则编号前缀"),
//    DataChange("CHANGE", "数据变更编号前缀"),
//    TRANSFERRULE("TRARULE", "转让规则编号前缀"),
//    INVESTSTRUCTURE("INVESTRU", "投资结构编号前缀"),
//    FEE("FEE", "计划费用前缀"),
//    ORGANIZATIO("ORG", "权构编号前缀"),
//    ALLOCPRG("ALLOCPRG","分配方案编号前缀"),
//    ALLOCITM("ALLOCITM","分配事项编号前缀"),
//    ALLOCDATE("ALLOCDATE","分配方案计算日前缀"),
//    ALLOCOUTCOME("ALLOCOUTCOME","分配结果"),
//    ASTPOOL("ASTPOOL","资产池前缀"),
//    TFR("TFR","转让流水"),
//    SYNC("SYNC","同步流水"),
//    SHARE("SHARE","分享前缀"),
//    ABNOR("ABNOR","异常事件")
    ;;

    private static final Map<String, IdTypeEnum> codeMap = new HashMap<String, IdTypeEnum>();

    static {
        for (IdTypeEnum item : IdTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private IdTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static IdTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}