/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: MonthEnum.java, v 0.1 2018-01-05 14:24 hongwei.wang Exp $
 */
public enum MonthEnum implements IEnum {

    一月("jan", 1, "一月"),
    二月("feb", 2, "二月"),
    三月("mar", 3, "三月"),
    四月("apr", 4, "四月"),
    五月("may", 5, "五月"),
    六月("jun", 6, "六月"),
    七月("jul", 7, "七月"),
    八月("aug", 8, "八月"),
    九月("sep", 9, "九月"),
    十月("oct", 10, "十月"),
    十一月("nov", 11, "十一月"),
    十二月("dec", 12, "十二月"),

    //
    ;

    private static final Map<String, MonthEnum>  codeMap = new HashMap<String, MonthEnum>();
    private static final Map<Integer, MonthEnum> mIntMap = new HashMap<Integer, MonthEnum>();

    static {
        for (MonthEnum item : MonthEnum.values()) {
            codeMap.put(item.getCode(), item);
            mIntMap.put(item.mInt, item);
        }
    }

    private String code;
    private int    mInt;
    private String desc;

    MonthEnum(String code, int mInt, String desc) {
        this.code = code;
        this.mInt = mInt;
        this.desc = desc;
    }

    public static MonthEnum getByCode(String code) {
        return codeMap.get(code);
    }

    public static MonthEnum getByMInt(int mInt) {
        return mIntMap.get(mInt);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}

