/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.ast;

import java.util.List;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanPackRelSummary;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.ast: LoanPackRelRepo.java, v 0.1 2020-04-21 16:58 bangis.wangdf Exp $ 
 */
public interface LoanPackRelRepo {
    /**
     * 汇总资产包情况
     * @param packNo
     */
    LoanPackRelSummary sumAstPack(String packNo);

    /**
     * 切换资产关系
     * @param packNo
     * @param astPoolNo
     */
    void changePackRel(String packNo, String astPoolNo);

    /**
     * 资产筛选
     * @param packNo
     * @param astPoolNo
     * @param astType
     * @param screenRuleList
     * @return
     */
    int screenAst(String packNo, String astPoolNo, AstTypeEnum astType, List<AstScreenRule> screenRuleList);
}
