/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.ast.impl;

import java.util.List;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanPackRelDAO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanPackRelSummary;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.model.repo.ast.LoanPackRelRepo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.ast.impl: LoanPackRelImpl.java, v 0.1 2020-04-21 16:58 bangis.wangdf Exp $ 
 */
@Component
public class LoanPackRelImpl implements LoanPackRelRepo {

    @Autowired
    private LoanPackRelDAO loanPackRelDAO;


    @Override
    public LoanPackRelSummary sumAstPack(String packNo) {
        return loanPackRelDAO.sumAstByPack(packNo);
    }

    /**
     * 切换资产关系
     *
     * @param packNo
     * @param astPoolNo
     */
    @Override
    public void changePackRel(String packNo, String astPoolNo) {
        loanPackRelDAO.updatePackRel(packNo,astPoolNo);
    }

    /**
     * 资产筛选
     *
     * @param packNo
     * @param astPoolNo
     * @param astType
     * @param screenRuleList
     * @return
     */
    @Override
    public int screenAst(String packNo, String astPoolNo, AstTypeEnum astType, List<AstScreenRule> screenRuleList) {
        return  loanPackRelDAO.updateForScreen(packNo,astPoolNo,astType,screenRuleList);
    }
}
