/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.loanTrans;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanAstProfitStat;
import com.abssqr.plat.common.model.domain.loanTrans.LoanAstProfitLog;
import com.general.system.common.model.Money;

import java.util.Date;
import java.util.List;

/**
 * 资产流水仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.loanTrans: LoanLogRepository.java, v 0.1 2017-12-21 上午1:44 guozhenhua Exp $
 */
public interface LoanAstProfitLogRepo {
    
    int insertBatch(List<LoanAstProfitLog> list);

    /**
     * 金融服务费
     * @param accountDate
     * @param planNo
     * @return
     */
    Money getOrgDistPftAmt(Date accountDate, String planNo);
    
    /**
     * 查询还款服务费
     * @param accountDate  会记日
     * @param planNo  收益机构
     * @param splitOrgCode  分润机构
     * @return
     */
    LoanAstProfitStat getRepayOrgDistPftAmt(Date accountDate, String planNo, String splitOrgCode);
}
