/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.paging.PlanListPage;
import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.enums.PriceTypeEnum;
import com.abssqr.plat.common.facade.model.org.OrganizationEntity;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.general.system.bpm.enums.ApproveStatusEnum;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 计划仓储
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.plan: PlanRepo.java, v 0.1 2018-01-03 21:49 hongwei.wang Exp $
 */
public interface PlanRepo {

    /**
     * 分页查询获取计划列表
     *
     * @param planList
     * @return
     */
    PlanListPage getPlanList(PlanListPage planList);

    /**
     * 计划是否存在
     * @param planFllName
     * @param planName
     * @return
     */
    Integer planExist(String planFllName,String planName);

    /**
     * 新增计划
     *
     * @param plan
     * @return
     */
    void addPlan(PlanBase plan);

    /**
     * 修改计划
     *
     * @param plan
     */
    void updatePlan(PlanBase plan);
    

    /**
     * 获取计划
     * @param planNo
     * @return
     */
    PlanBase getPlanByNo(String planNo);

}
