/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.utils;

import com.abssqr.plat.common.facade.model.rule.TradePriceRule;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.util: AstPriceUtil.java, v 0.1 2019-11-23 上午11:25 zhenxuan.luo Exp $ 
 */
public class AstPriceUtil {
    
    /**
     * 根据期次号抽取定价规则
     * @param priceRules
     * @param termNo
     * @return
     */
//    public static PlanAstPriceRule filterPrice(List<PlanAstPriceRule> priceRules, int termNo) {
//
//        Collections.sort(priceRules, Comparator.comparing(PlanAstPriceRule::getTermNo));
//
//        PlanAstPriceRule lastPriceRule = null;
//        for (PlanAstPriceRule priceRule : priceRules) {
//            lastPriceRule = priceRule;
//            if (termNo == priceRule.getTermNo()) {
//                return priceRule;
//            }
//        }
//
//        return lastPriceRule;
//    }
    
    /**
     * 根据条件抽取定价规则
     * @param priceRules
     * @param condition
     * @return
     */
    public static <Rule extends TradePriceRule>Rule filterPrice(List<Rule> priceRules, Comparable condition) {
        // 排序
        Collections.sort(priceRules, Comparator.comparing(TradePriceRule::getSort));
        Rule priceRule = null;
        for (Rule one : priceRules) {
            if (one.getTradePriceRule(condition)) {
                return one;
            }
        }
        return priceRule;
    }

}