drop table ABS_AST_PACK;

CREATE TABLE ABS_AST_PACK (
  ID NUMBER(20) NOT NULL ,
  PACK_NO VARCHAR2(64) ,
  PACK_NAME VARCHAR2(64) ,
  AVAL_AMT NUMBER(19) ,
  AST_POOL_NO VARCHAR2(64) ,
  PLAN_NO VARCHAR2(64) ,
  STATUS VARCHAR2(16) ,
  PACK_DATE DATE ,
  PACK_SUBMIT_DATE DATE ,
  PACK_TYPE VARCHAR2(16) ,
  AST_TYPE VARCHAR2(64),
  GMT_CREATE DATE ,
  GMT_MODIFIED DATE ,
  PRIMARY KEY (ID)
)
;

CREATE UNIQUE INDEX UK_ABS_PACK_PACK_NO   ON ABS_AST_PACK (PACK_NO);

CREATE INDEX IDX_ABS_PACK_PLAN_NO ON ABS_AST_PACK (PLAN_NO);

COMMENT ON COLUMN ABS_AST_PACK.PACK_NO IS '资产包编号';

COMMENT ON COLUMN ABS_AST_PACK.PACK_NAME IS '资产包名称';

COMMENT ON COLUMN ABS_AST_PACK.AVAL_AMT IS '规模';

COMMENT ON COLUMN ABS_AST_PACK.AST_POOL_NO IS '资产池编号';

COMMENT ON COLUMN ABS_AST_PACK.PLAN_NO IS '产品编号';

COMMENT ON COLUMN ABS_AST_PACK.STATUS IS '状态 1.初始化 init 2.筛选中 exec 3.筛选完成 screen_fis  4.已封包 pack 5.已解包 unpack 6.已拆包 break 7.已发行 publish
';

COMMENT ON COLUMN ABS_AST_PACK.PACK_DATE IS '封包日';

COMMENT ON COLUMN ABS_AST_PACK.PACK_SUBMIT_DATE IS '封包提交日';

COMMENT ON COLUMN ABS_AST_PACK.PACK_TYPE IS '资产包类型: 1. 正常 normal 2.默认(虚拟) default';

COMMENT ON COLUMN ABS_AST_PACK.AST_TYPE IS '准入资产代码';

COMMENT ON COLUMN ABS_AST_PACK.GMT_CREATE IS '创建时间';

COMMENT ON COLUMN ABS_AST_PACK.GMT_MODIFIED IS '更新时间';

COMMENT ON TABLE ABS_AST_PACK IS '资产包';

-- 序列号
drop SEQUENCE SEQ_ABS_AST_PACK;

CREATE SEQUENCE  SEQ_ABS_AST_PACK MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
