drop table ABS_PLAN_INVEST_STRUCTURE;
CREATE TABLE ABS_PLAN_INVEST_STRUCTURE
(
  ID NUMBER(10) PRIMARY KEY NOT NULL,
  LAYER_NO VARCHAR2(128),
  PLAN_NO VARCHAR2(128),
  LAYER_TYPE VARCHAR2(128),
  LAYER_NAME VARCHAR2(128),
  LAYER_AMT NUMBER(20),
  LAYER_INTR NUMBER(10,5),
  INTR_TYPE VARCHAR2(64),
  ALLOC_METHOD VARCHAR2(64),
  GRADE VARCHAR2(64),
  EFFECT_DATE DATE,
  EXPECT_END_DATE DATE,
  SORT NUMBER(4,0),
  END_DATE DATE,
  GMT_CREATE DATE,
  GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.ID IS '唯一主键';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.LAYER_NO IS '层级编号';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.PLAN_NO IS '产品编号';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.LAYER_TYPE IS '分层类型';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.LAYER_NAME IS '层级名称';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.LAYER_AMT IS '金额/层级规模';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.LAYER_INTR IS '利率';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.INTR_TYPE IS '利率类型';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.ALLOC_METHOD IS '偿付方式';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.GRADE IS '评级';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.EFFECT_DATE IS '起息日';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.EXPECT_END_DATE IS '预计到期日';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.END_DATE IS '到期日';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_PLAN_INVEST_STRUCTURE.GMT_MODIFIED IS '更新时间';
COMMENT ON TABLE ABS_PLAN_INVEST_STRUCTURE IS '投资结构表';


-- 序列号
drop SEQUENCE SEQ_ABS_PLAN_INVEST_STRUCTURE;

CREATE SEQUENCE  SEQ_ABS_PLAN_INVEST_STRUCTURE MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
